Package org.drinkless.tdlib

# Class TdApi.PageBlockEmbeddedPost

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockEmbeddedPost

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockEmbeddedPost extends TdApi.PageBlock
An embedded post.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `author`
  Post author.
  `TdApi.Photo`
  `authorPhoto`
  Post author photo; may be null.
  `TdApi.PageBlockCaption`
  `caption`
  Post caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the post was created; 0 if unknown.
  `TdApi.PageBlock[]`
  `pageBlocks`
  Post content.
  `String`
  `url`
  URL of the embedded post.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockEmbeddedPost()`
  An embedded post.
  `PageBlockEmbeddedPost(String url, String author, TdApi.Photo authorPhoto, int date, TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)`
  An embedded post.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the embedded post.

  - ### author

    public String author
    Post author.

  - ### authorPhoto

    @Nullable public TdApi.Photo authorPhoto
    Post author photo; may be null.

  - ### date

    public int date
    Point in time (Unix timestamp) when the post was created; 0 if unknown.

  - ### pageBlocks

    public TdApi.PageBlock[] pageBlocks
    Post content.

  - ### caption

    public TdApi.PageBlockCaption caption
    Post caption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockEmbeddedPost

    public PageBlockEmbeddedPost()
    An embedded post.

  - ### PageBlockEmbeddedPost

    public PageBlockEmbeddedPost(String url, String author, TdApi.Photo authorPhoto, int date, TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)
    An embedded post.
    Parameters:
      `url` - URL of the embedded post.
      `author` - Post author.
      `authorPhoto` - Post author photo; may be null.
      `date` - Point in time (Unix timestamp) when the post was created; 0 if unknown.
      `pageBlocks` - Post content.
      `caption` - Post caption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR